aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-04-16 12:10:20 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2019-04-16 12:10:20 +0000
commit98e3e912ffdb333e7e310e2b0f708897d0b4e145 (patch)
tree1e8e84a94e9229779d253b2c6861435d9e921229
parentb74a2b59464c02737b331269d6372bda1feeb893 (diff)
parent8bce3b487bf54015d10b73658d07c02c8a204f68 (diff)
Merge "SPEC-1850: Implement CIBT for applications build"
-rw-r--r--jjb/ci-apps-verify/ci-apps-jjb.yaml32
-rw-r--r--jjb/common/include-agl-app-run-test-short.sh48
2 files changed, 73 insertions, 7 deletions
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.yaml b/jjb/ci-apps-verify/ci-apps-jjb.yaml
index bedc25c8..5fd96ca6 100644
--- a/jjb/ci-apps-verify/ci-apps-jjb.yaml
+++ b/jjb/ci-apps-verify/ci-apps-jjb.yaml
@@ -23,6 +23,8 @@
- ci-apps-{project}-verify-{aglbranch}
- ci-apps-{project}-verify-{aglbranch}-CIB-{architecture}
- ci-apps-{project}-verify-{aglbranch}-CIB-finish-success
+ - ci-apps-{project}-verify-{aglbranch}-CIBT-{architecture}
+ - ci-apps-{project}-verify-{aglbranch}-CIBT-finish-success
- ci-apps-{project}-verify-{aglbranch}-signal-gracetime
- ci-apps-{project}-verify-{aglbranch}-failure
- ci-apps-{project}-remove-{aglbranch}-artifacts
@@ -32,8 +34,6 @@
# currently unused templates
# - ci-apps-{project}-verify-CIB-start
# - ci-apps-{project}-verify-CIBT-start
- #- ci-apps-{project}-verify-CIBT-{architecture}
- #- ci-apps-{project}-verify-CIBT-finish-success
################################################################################################################################################################
@@ -128,6 +128,24 @@
current-parameters: true
abort-all-job: true
kill-phase-on: FAILURE
+ - multijob:
+ name: CIBT-{project}
+ condition: SUCCESSFUL
+ projects:
+ - name: 'ci-apps-{project}-verify-{aglbranch}-CIBT-x86-64'
+ current-parameters: true
+ #abort-all-job: true
+ kill-phase-on: FAILURE
+ predefined-parameters: AGLBRANCH={aglbranch}
+ - multijob:
+ name: CIBT-{project}-finish-success
+ condition: SUCCESSFUL
+ projects:
+ - name: 'ci-apps-{project}-verify-{aglbranch}-CIBT-finish-success'
+ current-parameters: true
+ abort-all-job: true
+ kill-phase-on: FAILURE
+
################################################################################
@@ -665,7 +683,7 @@
# ###########################
- job-template:
- name: 'ci-apps-{project}-verify-CIBT-{architecture}'
+ name: 'ci-apps-{project}-verify-{aglbranch}-CIBT-{architecture}'
project-type: freestyle
concurrent: true
node: hwtest-slave
@@ -692,9 +710,9 @@
default: "2"
description: "patchset # to build"
- string:
- name: MACHINE
+ name: TARGETARCH
default: '{architecture}'
- description: "Machine to build"
+ description: "Architecture to build"
build-discarder:
days-to-keep: 30
@@ -721,7 +739,7 @@
- ../common/include-agl-select.sh
- ../common/include-agl-run-test-prepare.sh
- ../common/include-agl-lava-labs-prepare.sh
- - ../common/include-agl-run-test-short.sh
+ - ../common/include-agl-app-run-test-short.sh
- ../common/include-agl-lava-jobs-submit.sh
publishers:
@@ -784,7 +802,7 @@
# ####################
- job-template:
- name: 'ci-apps-{project}-verify-CIBT-finish-success'
+ name: 'ci-apps-{project}-verify-{aglbranch}-CIBT-finish-success'
project-type: freestyle
concurrent: true
node: control-slave
diff --git a/jjb/common/include-agl-app-run-test-short.sh b/jjb/common/include-agl-app-run-test-short.sh
new file mode 100644
index 00000000..e26cb604
--- /dev/null
+++ b/jjb/common/include-agl-app-run-test-short.sh
@@ -0,0 +1,48 @@
+# (c) 2019 Corentin Labbe clabbe(at)baylibre.com
+# License GPLv2
+# Copied from jjb/common/include-agl-run-test-short.sh
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+set -x
+
+cd $REPODIR
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+case $TARGETARCH in
+arm)
+CREATE_ARGS+="--machine qemuarm "
+;;
+x86_64)
+CREATE_ARGS+="--machine qemux86_64 "
+;;
+aarch64)
+CREATE_ARGS+="--machine qemuarm64 "
+;;
+*)
+ echo "ERROR: unknown architecture $TARGETARCH"
+ exit 1
+;;
+esac
+CREATE_ARGS+="--build-type snapshot --branch master --version latest "
+[[ ! -z $GERRIT_CHANGE_NUMBER ]] && CREATE_ARGS+="--app-changeid $GERRIT_CHANGE_NUMBER "
+[[ ! -z $GERRIT_PATCHSET_NUMBER ]] && CREATE_ARGS+="--app-patchset $GERRIT_PATCHSET_NUMBER "
+BUILD_VERSION="AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER"
+[[ -e output/repo-manifest-r.txt.sha1 ]] && BUILD_VERSION+="-$(cat output/repo-manifest-r.txt.sha1)"
+CREATE_ARGS+="--name AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER "
+CREATE_ARGS+="--build-version $BUILD_VERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi